cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f/amend" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"gift_certificate": {
"new_balance": "7.00"
}
}'from exsited import build_client
client = build_client()
response = client.gift_certificates.amend_gift_certificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", {"gift_certificate": {"new_balance": "7.00"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.amendGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f', {
gift_certificate: {new_balance: '7.00'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->amendGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f', [
'gift_certificate' => ['new_balance' => '7.00'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificate> response = client.giftCertificates().amendGiftCertificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
Map.of("gift_certificate", Map.of("new_balance", "7.00")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.AmendGiftCertificateAsync(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
new Dictionary<string, object?>
{
["gift_certificate"] = new Dictionary<string, object?>
{
["new_balance"] = "7.00",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.amendGiftCertificate(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
{
'gift_certificate': {'new_balance': '7.00'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().AmendGiftCertificate(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", map[string]any{
"gift_certificate": map[string]any{"new_balance": "7.00"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allocations": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"amount": "<string>",
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"expiry_date": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"linked_item": "<unknown>",
"object": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"transactions": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"used_amount": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Gift certificates
Amend a gift certificate's balance
Sets a new remaining balance on a gift certificate and returns it under gift_certificate.
POST
/
gift_certificates
/
{gc_id}
/
amend
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f/amend" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"gift_certificate": {
"new_balance": "7.00"
}
}'from exsited import build_client
client = build_client()
response = client.gift_certificates.amend_gift_certificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", {"gift_certificate": {"new_balance": "7.00"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.amendGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f', {
gift_certificate: {new_balance: '7.00'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->amendGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f', [
'gift_certificate' => ['new_balance' => '7.00'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificate> response = client.giftCertificates().amendGiftCertificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
Map.of("gift_certificate", Map.of("new_balance", "7.00")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.AmendGiftCertificateAsync(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
new Dictionary<string, object?>
{
["gift_certificate"] = new Dictionary<string, object?>
{
["new_balance"] = "7.00",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.amendGiftCertificate(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
{
'gift_certificate': {'new_balance': '7.00'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().AmendGiftCertificate(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", map[string]any{
"gift_certificate": map[string]any{"new_balance": "7.00"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allocations": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"amount": "<string>",
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"expiry_date": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"linked_item": "<unknown>",
"object": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"transactions": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"used_amount": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Send
new_balance under gift_certificate; it is the one field this call takes. A balance below the amount already used returns 400.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The gift certificate's id.
Body
application/json
Show child attributes
Show child attributes
Response
The gift certificate with its new balance, under gift_certificate.
Show child attributes
Show child attributes